﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TDS 620A,640A,644A (1 yr) VER IEEE /9500+4Hd
DATE:                  2013-10-31 08:28:38
AUTHOR:                Fluke
REVISION:              $Revision: 18950 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       226
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
# 
#  Models covered:
#        TDS 620A, TDS 640A, TDS 644A
# 
#  Source:
#        TDS 620A, 640A & 644A Digitizing Oscilloscopes
#        Performance Verification, Part No. 070-8717-01
# 
#  Source Author:
#        Tektronix
# 
#  Compatibility:
#        MET/CAL 7.3.38 or Later.
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
# 
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1V             LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1V             LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1V             LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1V             LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            F        V

  1.012  IF           NOT(VERSIONCHECK("7.3.38"))
  1.013  END
  1.014  ENDIF

  1.015  CALL         Sub Display Copyright
  1.016  CALL         Sub High Voltage Safety Warning
  1.017  CALL         Sub Select Failed Test Mode
  1.018  CALL         Sub Select Guardbanding & Ver Method

  1.019  DISP         Ensure a minimum UUT warm-up time of at least
  1.019  DISP         20 minutes has been allowed to elapse, prior
  1.019  DISP         to beginning verification.

  1.020  HEAD         UUT IDENTIFICATION
  1.021  TARGET
  1.022  CALL         Sub TDS500/600/700 Setup IEEE
  1.023  IEEE2        *RST;DESE 61
  1.024  WAIT         -t 4 System Initializing ...

  1.025  MATH         @UUT_AssetNum      = UUT()

  1.026  IF           NOT(EMPTY(@UUT_AssetNum))
  1.027  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.028  ENDIF

  1.029  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.030  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.031  JMPL         END                          @Abort

  1.032  HEAD         EQUIPMENT REQUIREMENTS
  1.033  OPBR         -z Do you want to REVIEW the list of additional
  1.033  OPBR         equipment and/or accessories required?

  1.034  IF           MEM1
  1.035  DISP         The following additional equipment and/or accessories
  1.035  DISP         are required:
  1.035  DISP
  1.035  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.035  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.035  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.035  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.035  DISP         - Dual Input Coupler (BNC)
  1.035  DISP         - 50 Ohm Feedthrough (BNC)
  1.036  ENDIF

  1.037  CALL         Sub TDS600A Specifications
  1.038  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.039  JMPL         END                          @Abort
  1.040  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.041  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.042  MATH         @SourceChanNum = 4

# Specify channel to test.
  1.043  MATH         @Chan = 1
  1.044  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.045  MATH         @Chan = 2
  1.046  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.047  MATH         @Chan = 3
  1.048  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.049  MATH         @Chan = 4
  1.050  CALL         Sub TDS600A (1 yr) DC Offset IEEE

  1.051  MATH         @Chan = 1
  1.052  M9500                       CH1
  1.053  CALL         Sub TDS620A/64xA (1 yr) DCV Meas Acc IEEE /9500
  1.054  MATH         @Chan = 2
  1.055  M9500                       CH2
  1.056  CALL         Sub TDS620A/64xA (1 yr) DCV Meas Acc IEEE /9500
  1.057  MATH         @Chan = 3
  1.058  M9500                       CH3
  1.059  CALL         Sub TDS620A/64xA (1 yr) DCV Meas Acc IEEE /9500
  1.060  MATH         @Chan = 4
  1.061  M9500                       CH4
  1.062  CALL         Sub TDS620A/64xA (1 yr) DCV Meas Acc IEEE /9500

  1.063  MATH         @Chan = 1
  1.064  M9500                       CH1
  1.065  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /9500/600
  1.066  MATH         @Chan = 2
  1.067  M9500                       CH2
  1.068  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /9500/600
  1.069  MATH         @Chan = 3
  1.070  M9500                       CH3
  1.071  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /9500/600
  1.072  MATH         @Chan = 4
  1.073  M9500                       CH4
  1.074  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /9500/600
  1.075  JMPL         TIMEBASE_TRIGGER

  1.076  LABEL        DELAY_MATCH
  1.077  MATH         @Chan = 1
  1.078  M9500                       CH1
  1.079  CALL         Sub TDS600A (1 yr) Delay Match IEEE /9500
  1.080  JMPL         OUTPUT_SIGNAL

  1.081  LABEL        TIMEBASE_TRIGGER
  1.082  MATH         @Chan = 1
  1.083  M9500                       CH1
  1.084  CALL         Sub TDS600A (1 yr) Time Base IEEE /9500
  1.085  CALL         Sub TDS620A/64xA (1 yr) Delta Time IEEE /9500
  1.086  CALL         Sub TDS600A (1 yr) Trig Time Acc IEEE /9500
  1.087  CALL         Sub TDS620A/64xA (1 yr) Trig Level Acc IEEE /9500

  1.088  MATH         @Chan = 1
  1.089  M9500                       CH1
  1.090  CALL         Sub TDS600A (1 yr) Sens IEEE /9500/600
 # If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.091  OPBR         -z Each channel trig sensitivity test will take about
  1.091  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.091  OPBR         channels to save time, unless desired.
  1.091  OPBR
  1.091  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.091  OPBR         3, and 4?
  1.092  MATH         @TestCh234Sens = MEM1
  1.093  JMPL         MAIN_TRIG_SENS_CH2

  1.094  LABEL        AUX_TRIG_IN
  1.095  MATH         @Chan = 1
  1.096  M9500                       CH14
  1.097  CALL         Sub TDS600A (1 yr) Aux Trig In Sens IEEE /9500+2Hd
  1.098  JMPL         DELAY_MATCH

  1.099  LABEL        MAIN_TRIG_SENS_CH2

  1.100  IF           @TestCh234Sens
  1.101  MATH         Time = 3 * @OptChSensTime
  1.102  DISP         The next routine operator intervention occurs
  1.102  DISP         in approximately [V Time] minutes...
  1.103  MATH         @Chan = 2
  1.104  M9500                       CH2
  1.105  CALL         Sub TDS600A (1 yr) Sens IEEE /9500/600
  1.106  MATH         @Chan = 3
  1.107  M9500                       CH3
  1.108  CALL         Sub TDS600A (1 yr) Sens IEEE /9500/600
  1.109  MATH         @Chan = 4
  1.110  M9500                       CH4
  1.111  CALL         Sub TDS600A (1 yr) Sens IEEE /9500/600
  1.112  ENDIF

  1.113  JMPL         AUX_TRIG_IN

  1.114  LABEL        OUTPUT_SIGNAL
  1.115  M9500                       CH1
  1.116  CALL         Sub TDS600A (1 yr) Output Signal IEEE /9500
  1.117  M9500                       CH1
  1.118  CALL         Sub TDS600A (1 yr) Probe Comp IEEE /9500

  1.119  LABEL        END
  1.120  IEEE2        *RST;DESE 61

  1.121  IF           @Abort
  1.122  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.123  ENDIF

  1.124  END
